• R/O
  • HTTP
  • SSH
  • HTTPS

pukiwiki_devel: Commit


Commit MetaInfo

Revision519933e7a40c39cb39d3fd8ed38e79dd6859c6a1 (tree)
Time2006-06-12 00:01:33
Authorpukiwikiadmin <pukiwikiadmin>
Commiterpukiwikiadmin

Log Message

This commit was manufactured by cvs2svn to create tag 'r1_4_7'.

Change Summary

  • delete: make_funclist.sh
  • delete: release_update.sh
  • delete: tdiary-demogen.sh

Incremental Difference

--- a/make_funclist.sh
+++ /dev/null
@@ -1,3 +0,0 @@
1-#!/bin/sh
2-
3-grep -B1 "^function" ../*.php | sed -e "s/^\.\.\///" | sed "s/[a-z]*\.php\:function[ \t]*//"
--- a/release_update.sh
+++ /dev/null
@@ -1,213 +0,0 @@
1-#!/bin/sh
2-# $Id: release_update.sh,v 1.12 2005/12/10 08:27:00 henoheno Exp $
3-# $CVSKNIT_Id: release.sh,v 1.11 2004/05/28 14:26:24 henoheno Exp $
4-# Release automation script for PukiWiki
5-# ==========================================================
6- Copyright='(C) 2002-2004 minix-up project, All Rights Reserved'
7- Homepage='http://cvsknit.sourceforge.net/'
8- License='BSD Licnese, NO WARRANTY'
9-#
10-
11-# Name and Usage --------------------------------------------
12-_name="` basename $0 `"
13-
14-usage(){
15- warn "USAGE: $_name [options] VERSION_FROM VERSION_TO (VERSION = '1.4.3_rc1' like)"
16- warn " Options:"
17- warn " -p|--patch Create a large patch file"
18- warn " -z|--zip Create *.zip archive"
19- warn " --move-dist Move *.ini.php => *.ini-dist.php"
20- warn " --copy-dist Move, and Copy *.ini.php <= *.ini-dist.php"
21- return 1
22-}
23-
24-# Common functions ------------------------------------------
25-warn(){ echo "$*" 1>&2 ; }
26-err() { warn "Error: $*" ; exit 1 ; }
27-
28-quote(){
29- test $# -gt 0 && { echo -n "\"$1\"" ; shift ; }
30- while [ $# -gt 0 ] ; do echo -n " \"$1\"" ; shift ; done ; echo
31-}
32-
33-trace(){
34- test "$__debug" || return 0 # (DEBUG)
35- _msg="$1" ; test $# -gt 0 && shift ; warn " $_msg : ` quote "$@" `"
36-}
37-
38-check_versiontag(){
39- case "$1" in
40- [1-9].[0-9] | [1-9].[0-9] ) tag="r$1" ;;
41- [1-9].[0-9]_rc[1-9] | [1-9].[0-9]_rc[1-9] ) tag="r$1" ;;
42- [1-9].[0-9].[0-9] | [1-9].[0-9].[0-9][0-9] ) tag="r$1" ;;
43- [1-9].[0-9].[0-9]_[a-z]* | [1-9].[0-9].[0-9][0-9]_[a-z]* ) tag="r$1" ;;
44- [1-9].[0-9].[0-9]_[1-9] | [1-9].[0-9].[0-9][0-9]_[1-9] ) tag="r$1" ;;
45- HEAD | r1_3_3_branch ) tag="$rel" ;;
46- '' ) usage ; return 1 ;;
47- * ) warn "Error: Invalid string: $1" ; usage ; return 1 ;;
48- esac
49- echo "$tag" | tr '.' '_'
50-}
51-
52-chmod_pkg(){
53- ( cd "$1"
54- # ALL: Read only
55- find . -type d | while read line; do chmod 755 "$line"; done
56- find . -type f | while read line; do chmod 644 "$line"; done
57- # Add write permission for PukiWiki
58- chmod 777 attach backup cache counter diff trackback wiki* 2>/dev/null
59- chmod 666 wiki*/*.txt cache/*.dat cache/*.ref cache/*.rel 2>/dev/null
60- )
61-}
62-
63-# Default variables -----------------------------------------
64-
65-mod=pukiwiki
66-CVSROOT=":pserver:anonymous@cvs.sourceforge.jp:/cvsroot/$mod"
67-
68-pkg_dir="$mod"
69-
70-# Function verifying arguments ------------------------------
71-
72-getopt(){ _arg=noarg
73- trace 'getopt()' "$@" # (DEBUG)
74-
75- case "$1" in
76- '' ) echo 1 ;;
77- -[hH]|--help ) echo _help _exit ;;
78- --debug ) echo _debug ;;
79- -p|--patch ) echo _patch ;;
80- -z|--zip ) echo _zip ;;
81- --copy-dist ) echo _copy_dist ;;
82- --move-dist ) echo _move_dist ;;
83- -d ) echo _CVSROOT 2 ; _arg="$2" ;;
84- -* ) warn "Error: Unknown option \"$1\"" ; return 1 ;;
85- * ) echo OTHER ;;
86- esac
87-
88- test 'x' != "x$_arg"
89-}
90-
91-# Working start ---------------------------------------------
92-
93-# Show arguments in one line (DEBUG)
94-case '--debug' in "$1"|"$3") false ;; * ) true ;; esac || {
95- test 'x--debug' = "x$1" && shift ; __debug=on ; trace 'Args ' "$@"
96-}
97-
98-# Parsing
99-while [ $# -gt 0 ] ; do
100- chs="` getopt "$@" `" || err "Syntax error with '$1'"
101- trace '$chs ' "$chs" # (DEBUG)
102-
103- for ch in $chs ; do
104- case "$ch" in
105- [1-3] ) shift $ch ;;
106- _exit ) exit ;;
107- _help ) usage ;;
108- _CVSROOT) CVSROOT="$2" ;;
109- _* ) shift ; eval "_$ch"=on ;;
110- * ) break 2 ;;
111- esac
112- done
113-done
114-
115-# No argument
116-if [ $# -eq 0 ] ; then usage ; exit ; fi
117-
118-# Argument check --------------------------------------------
119-
120-rel_from="$1"
121-rel_to="$2"
122-if [ "x$rel_from" = "x$rel_to" ] ; then
123- warn "Error: VERSION_FROM and VERSION_TO is equivalent"
124- usage ; exit
125-fi
126-
127-tag_from="` check_versiontag "$rel_from" `" || exit
128-tag_to="` check_versiontag "$rel_to" `" || exit
129-
130-# -----------------------------------------------------------
131-
132-# Creating a PATCH
133-test "$__patch" && {
134- file="${mod}-${tag_from}-${tag_to}.diff.gz"
135- test ! -f "$file" || err "There's already a file: $file"
136-
137- echo $file
138- echo cvs -z3 -d "$CVSROOT" rdiff -u -r "$tag_from" -r "$tag_to" "$mod"
139- cvs -z3 -d "$CVSROOT" rdiff -u -r "$tag_from" -r "$tag_to" "$mod" | gzip -9 > "$file"
140- exit
141-}
142-# NOT PATCH
143-
144-
145-# Checkout the module with VERSION_FROM
146-test ! -d "$pkg_dir" || err "There's already a directory: $pkg_dir"
147-echo cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
148- cvs -z3 -d "$CVSROOT" co -r "$tag_from" -d "$pkg_dir" "$mod"
149-test -d "$pkg_dir" || err "There isn't a directory: $pkg_dir"
150-
151-
152-# Merge VERSION_FROM to VERSION_TO
153-( cd "$pkg_dir"
154- echo cvs up -dP -j "$tag_from" -j "$tag_to"
155- cvs up -dP -j "$tag_from" -j "$tag_to"
156-
157- # Cleanup backup files by cvs
158- find . -type f -name ".#*" | xargs rm -f
159-)
160-
161-# Remove files those are not Added or Modified
162-echo -n "Remove files those are not Added or Modified ..."
163-( cd "$pkg_dir"
164-
165- find . -type f | grep -v /CVS/ | while read line ; do
166- result="` cvs -nq up "$line" 2>/dev/null | grep '^[AM] ' | cut -b 3- `"
167- test "x$result" != "x" || rm -f "$line"
168- echo -n "."
169- done
170- echo
171-)
172-
173-# Remove CVS directories
174-echo "Remove CVS directories ..."
175-find "$pkg_dir" -type d -name "CVS" | xargs rm -Rf
176-
177-# Remove '.cvsignore' if exists
178-echo find "$pkg_dir" -type f -name '.cvsignore' -delete
179- find "$pkg_dir" -type f -name '.cvsignore' -delete
180-
181-# Remove emptied directories (twice)
182-find "$pkg_dir" -type d -empty | xargs rmdir
183-find "$pkg_dir" -type d -empty | xargs rmdir
184-
185-# Move / Copy *.ini.php files
186-if [ 'x' != "x$__copy_dist$__move_dist" ] ; then
187-( cd "$pkg_dir"
188-
189- find . -type f -name "*.ini.php" | while read file; do
190- dist_file="` echo "$file" | sed 's/ini\.php$/ini-dist.php/' `"
191- mv -f "$file" "$dist_file"
192- test "$__copy_dist" && cp -f "$dist_file" "$file"
193- done
194-)
195-fi
196-
197-# chmod
198-chmod_pkg "$pkg_dir"
199-
200-if [ -z "$__zip" ]
201-then
202- # Tar
203- echo tar cf - "$pkg_dir" \| gzip -9 \> "update_$rel_to.tar.gz"
204- tar cf - "$pkg_dir" | gzip -9 > "update_$rel_to.tar.gz"
205-else
206- # Zip
207- echo zip -r9 "update_$rel_to.zip" "$pkg_dir"
208- zip -r9 "update_$rel_to.zip" "$pkg_dir"
209-fi
210-
211-#echo rm -Rf "$pkg_dir"
212-# rm -Rf "$pkg_dir"
213-
--- a/tdiary-demogen.sh
+++ /dev/null
@@ -1,86 +0,0 @@
1-#!/bin/sh
2-# $Id: tdiary-demogen.sh,v 1.7 2005/01/25 12:47:11 henoheno Exp $
3-#
4-# tDiary demonstration generator: generates many [theme].php
5-# License: GPL
6-
7-warn(){ echo "$*" 1>&2; }
8-err(){ warn "$*"; exit 1; }
9-
10-usage(){
11- base="`basename $0`";
12- warn " $base [-d path/to/theme-directory] list"
13- warn " $base [-d path/to/theme-directory] interwiki"
14- warn " $base [-d path/to/theme-directory] touch"
15- warn " $base [-d path/to/theme-directory] untouch"
16- warn " Command:"
17- warn " lis|list - List themes"
18- warn " int|interwiki - Publish interwiki definition and setting for each theme"
19- warn " tou|touch - Generate \$theme.php that includes index.php"
20- warn " unt|untouch - Remove \$theme.php(s) listed in theme directory"
21- exit 1
22-}
23-
24-theme_list(){
25- cd "$dir" || err "Error: directory '$dir' not found"
26- ls -1 | while read theme; do
27- test -f "$theme/$theme.css" && echo "$theme"
28- done
29-}
30-
31-# ---- Argument check ----
32-dir="skin/theme"
33-if [ "x-d" = "x$1" ] ; then
34- dir="$2"
35- shift 2
36-fi
37-cmd="$1"
38-
39-# ----
40-
41-case "$cmd" in
42-''|-h|hel|help ) usage ;;
43-lis|list ) theme_list ;;
44-
45-int|inte|inter|interw|interwi|interwik|interwiki)
46- echo '--------'
47- echo '- [./$1.php theme] raw tDiary theme selector'
48- echo '--------'
49- echo '- (s) = sidebar CSS exists in this theme'
50- theme_list | while read theme; do
51- echo -n "+ [[theme:$theme]]"
52- grep -q div.sidebar "$dir/$theme/$theme.css" && echo -n " (s)"
53- echo
54- done
55- ;;
56-
57-tou|touc|touch )
58- theme_list | while read theme; do
59- if [ -f "$theme.php" ]
60- then echo "Warning: '$theme.php' is already available. Ignoreing..."
61- else
62- cat <<EOF > "$theme.php"
63-<?php
64- define('TDIARY_THEME', '$theme');
65- require('./index.php')
66-?>
67-EOF
68- fi
69- done
70- ;;
71-
72-unt|unto|untou|untouc|untouch )
73- echo -n " Remove theme(s).php ? [y/N]: "
74- read answer
75- case "$answer" in
76- [yY] | [yY][eE][sS] )
77- theme_list | while read theme ; do
78- test -f "$theme.php" && grep -q "define('TDIARY_THEME', '$theme');" "$theme.php" && rm -f "$theme.php"
79- done
80- ;;
81- * )
82- echo " Stopped."
83- esac
84- ;;
85-esac
86-
Show on old repository browser